/*
 * このソースコードは blanco Frameworkにより自動生成されました。
 */
package blanco.xml.bind.valueobject;

/**
 * SAXイベントのうち 要素(Element)のなかの 属性(Attribute)を記憶します。このクラスは XML/バリューオブジェクトマッピング (X/Oマッピング) blancoXmlBinding の一部です。
 */
public class BlancoXmlAttribute {
    /**
     * フィールド [uri]
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の名前空間URI。
     */
    private String fUri;

    /**
     * フィールド [localName]
     *
     * 項目の型 [java.lang.String]<br>
     * 属性のローカル名。
     */
    private String fLocalName;

    /**
     * フィールド [qName]
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の XML 1.0 修飾名。
     */
    private String fQName;

    /**
     * フィールド [type]
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の型。&quot;CDATA&quot;, &quot;ID&quot;, &quot;IDREF&quot;, &quot;IDREFS&quot;, &quot;NMTOKEN&quot;, &quot;NMTOKENS&quot;, &quot;ENTITY&quot;, &quot;ENTITIES&quot;, &quot;NOTATION&quot; が格納されます。
     */
    private String fType;

    /**
     * フィールド [value]
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の値。
     */
    private String fValue;

    /**
     * フィールド [uri]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の名前空間URI。
     *
     * @param argUri フィールド[uri]に格納したい値
     */
    public void setUri(final String argUri) {
        fUri = argUri;
    }

    /**
     * フィールド[uri]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の名前空間URI。
     *
     * @return フィールド[uri]に格納されている値
     */
    public String getUri() {
        return fUri;
    }

    /**
     * フィールド [localName]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性のローカル名。
     *
     * @param argLocalName フィールド[localName]に格納したい値
     */
    public void setLocalName(final String argLocalName) {
        fLocalName = argLocalName;
    }

    /**
     * フィールド[localName]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性のローカル名。
     *
     * @return フィールド[localName]に格納されている値
     */
    public String getLocalName() {
        return fLocalName;
    }

    /**
     * フィールド [qName]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の XML 1.0 修飾名。
     *
     * @param argQName フィールド[qName]に格納したい値
     */
    public void setQName(final String argQName) {
        fQName = argQName;
    }

    /**
     * フィールド[qName]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の XML 1.0 修飾名。
     *
     * @return フィールド[qName]に格納されている値
     */
    public String getQName() {
        return fQName;
    }

    /**
     * フィールド [type]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の型。&quot;CDATA&quot;, &quot;ID&quot;, &quot;IDREF&quot;, &quot;IDREFS&quot;, &quot;NMTOKEN&quot;, &quot;NMTOKENS&quot;, &quot;ENTITY&quot;, &quot;ENTITIES&quot;, &quot;NOTATION&quot; が格納されます。
     *
     * @param argType フィールド[type]に格納したい値
     */
    public void setType(final String argType) {
        fType = argType;
    }

    /**
     * フィールド[type]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の型。&quot;CDATA&quot;, &quot;ID&quot;, &quot;IDREF&quot;, &quot;IDREFS&quot;, &quot;NMTOKEN&quot;, &quot;NMTOKENS&quot;, &quot;ENTITY&quot;, &quot;ENTITIES&quot;, &quot;NOTATION&quot; が格納されます。
     *
     * @return フィールド[type]に格納されている値
     */
    public String getType() {
        return fType;
    }

    /**
     * フィールド [value]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の値。
     *
     * @param argValue フィールド[value]に格納したい値
     */
    public void setValue(final String argValue) {
        fValue = argValue;
    }

    /**
     * フィールド[value]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 属性の値。
     *
     * @return フィールド[value]に格納されている値
     */
    public String getValue() {
        return fValue;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.xml.bind.valueobject.BlancoXmlAttribute[");
        buf.append("uri=" + fUri);
        buf.append(",localName=" + fLocalName);
        buf.append(",qName=" + fQName);
        buf.append(",type=" + fType);
        buf.append(",value=" + fValue);
        buf.append("]");
        return buf.toString();
    }
}
